--- old/usr/src/cmd/make/bin/dist.cc	2015-05-20 11:48:47.813474534 -0400
+++ new/usr/src/cmd/make/bin/dist.cc	2015-05-20 11:48:47.825293305 -0400
@@ -292,7 +292,6 @@
 	Name		dmake_value;
 	Property	prop;
 
-#ifdef REDIRECT_ERR
 	/* Set __DMAKE_REDIRECT_STDERR */
 	length = 2 + strlen(NOCATGETS("__DMAKE_REDIRECT_STDERR")) + 1;
 	env = getmem(length);
@@ -301,7 +300,6 @@
 	               NOCATGETS("__DMAKE_REDIRECT_STDERR"),
 	               out_err_same ? NOCATGETS("0") : NOCATGETS("1"));
 	(void) putenv(env);
-#endif
 
 	/* Set DMAKE_PWD to the current working directory */
 	current_path = get_current_path();
--- old/usr/src/cmd/make/bin/main.cc	2015-05-20 11:48:48.322771013 -0400
+++ new/usr/src/cmd/make/bin/main.cc	2015-05-20 11:48:48.335287065 -0400
@@ -581,7 +581,7 @@
 	parallel_flag = false;
 #endif
 
-#if defined (TEAMWARE_MAKE_CMN) && defined(REDIRECT_ERR)
+#if defined (TEAMWARE_MAKE_CMN)
 	/*
 	 * Check whether stdout and stderr are physically same.
 	 * This is in order to decide whether we need to redirect
--- old/usr/src/cmd/make/bin/parallel.cc	2015-05-20 11:48:49.469480928 -0400
+++ new/usr/src/cmd/make/bin/parallel.cc	2015-05-20 11:48:49.481551135 -0400
@@ -849,7 +849,7 @@
 
 	stdout_file = strdup(mbstring);
 	stderr_file = NULL;
-#if defined (TEAMWARE_MAKE_CMN) && defined(REDIRECT_ERR)
+#if defined (TEAMWARE_MAKE_CMN)
 	if (!out_err_same) {
 		(void) sprintf(mbstring,
 			        NOCATGETS("%s/dmake.stderr.%d.%d.XXXXXX"),
@@ -1469,7 +1469,7 @@
 					retmem_mb(rp->stdout_file);
 					rp->stdout_file = NULL;
 				}
-#if defined(REDIRECT_ERR)
+
 				if (!out_err_same && (rp->stderr_file != NULL)) {
 					if (stat(rp->stderr_file, &out_buf) < 0) {
 						fatal(catgets(catd, 1, 130, "stat of %s failed: %s"),
@@ -1484,7 +1484,6 @@
 					retmem_mb(rp->stderr_file);
 					rp->stderr_file = NULL;
 				}
-#endif
 			}
 			check_state(rp->temp_file);
 			if (rp->temp_file != NULL) {
@@ -2034,15 +2033,11 @@
 	case 0:		/* Child */
 		/* To control the processed targets list is not the child's business */
 		running_list = NULL;
-#if defined(REDIRECT_ERR)
 		if(out_err_same) {
 			redirect_io(stdout_file, (char*)NULL);
 		} else {
 			redirect_io(stdout_file, stderr_file);
 		}
-#else
-		redirect_io(stdout_file, (char*)NULL);
-#endif
 		for (commands = commands;
 		     (*commands != (char *)NULL);
 		     commands++) {
--- old/usr/src/cmd/make/include/mksh/defs.h	2015-05-20 11:48:50.035701037 -0400
+++ new/usr/src/cmd/make/include/mksh/defs.h	2015-05-20 11:48:50.047659643 -0400
@@ -411,15 +411,15 @@
 	/*
 	* The list for $? is stored as a structured list that
 	* is translated into a string iff it is referenced.
-	* This is why  some macro values need a daemon. 
+	* This is why  some macro values need a daemon.
 	*/
 	Daemon			daemon:2;
 };
 
 struct _Macro_list {
 	struct _Macro_list	*next;
-	char			*macro_name; 
-	char			*value; 
+	char			*macro_name;
+	char			*value;
 };
 
 enum sccs_stat {
@@ -461,8 +461,8 @@
 	 * A conditional macro was used when building this target
 	 */
 	Boolean			depends_on_conditional:1;
-	/* 
-	 * Pointer to list of conditional macros which were used to build 
+	/*
+	 * Pointer to list of conditional macros which were used to build
 	 * this target
 	 */
 	struct _Macro_list	*conditional_macro_list;
@@ -700,7 +700,7 @@
 	union Body		body;
 };
 
-/* Structure for dynamic "ascii" arrays */ 
+/* Structure for dynamic "ascii" arrays */
 struct ASCII_Dyn_Array {
 	char			*start;
 	size_t			size;
@@ -781,7 +781,7 @@
 private:
 	// single node in a tree
 	struct entry {
-		entry(Name name_, entry *parent_) : 
+		entry(Name name_, entry *parent_) :
 			name(name_),
 			parent(parent_),
 			left(0),
@@ -902,7 +902,7 @@
 extern Boolean		vpath_defined;
 extern Name		vpath_name;
 extern Boolean		make_state_locked;
-#if defined (TEAMWARE_MAKE_CMN) && defined(REDIRECT_ERR)
+#if defined (TEAMWARE_MAKE_CMN)
 extern Boolean		out_err_same;
 #endif
 extern pid_t		childPid;
--- old/usr/src/cmd/make/lib/mksh/globals.cc	2015-05-20 11:48:50.666017766 -0400
+++ new/usr/src/cmd/make/lib/mksh/globals.cc	2015-05-20 11:48:50.677655847 -0400
@@ -114,7 +114,7 @@
 Name		vpath_name;
 wchar_t		wcs_buffer[MAXPATHLEN];
 Boolean		working_on_targets;
-#if defined (TEAMWARE_MAKE_CMN) && defined(REDIRECT_ERR)
+#if defined (TEAMWARE_MAKE_CMN)
 Boolean		out_err_same;
 #endif
 pid_t		childPid = -1;	// This variable is used for killing child's process
